Subject: RE: Keep alive

From: "Durham, David" <[email-masked]>
Date: Thu, 5 Apr 2001 11:12:14 -0700

The Keep Alive messages must sent by the PEP within the periods specified by
the PDP according to the RFC. However, KAs may be slightly delayed due to
the receipt of other large messages (DECs, RPTs, REQs). So, if communication
is happening (messages are still being received) the receiver obviously
should not close the connection simply because a KA hasn't arrived as yet.
-Dave  

> -----Original Message-----
> From: Krishna Prasad Akkineni [mailto:[email-masked]]
> Sent: Thursday, April 05, 2001 8:12 AM
> To: IETF RAP WG
> Subject: Keep alive 
> 
> 
> Hi, 
>      This is a query regarding Keep Alive message time.
>    While generating Keep alive messages, Does the COPS client 
>    need to take previous message (from Server/to client) transaction
>    time stamp in deciding the time to send Keep alive message?
>    From sec.3.9, It looks like time stamp of last sent Keep alive 
>    message is to be considered.
>    But sec.4.6, mentioned  "any other COPS message" in the 
> explanation.
>    Could some one clarify this?
>    -------------------------------------------------------------------
>    text related to this query from RFC2748 is given below.
>    
>    3.9 Keep-Alive (KA)  PEP -> PDP, PDP -> PEP
>    The keep-alive message MUST be transmitted by the PEP within the
>    period defined by the minimum of all KA Timer values 
> specified in all
>    received CAT messages for the connection.  
> 
>    4.6 Keep-Alive Operations
> 
>    If either side does not receive a Keep-Alive or any
>                                                 ------
>    other COPS message within the minimum KA Timer interval from the
>    ------------------ 
>    other, the connection SHOULD be considered lost.
>    -------------------------------------------------------------------
> 
> thanks 
> Krishna
> 
> -- 
> Krishna Prasad.Akkineni
> Telecom & Inter-Networking Solutions
> WIPRO Technologies,
> ----------------------------------------------------
> The opinions expressed here are my personal opinions
> and not necessarily those of WIPRO Technologies.
> ----------------------------------------------------
> 
>

---

From: "Krishna Prasad Akkineni" <[email-masked]>
Date: Fri, 06 Apr 2001 11:20:39 +0530

Hi,
   Thanks for the explanation. 
   I understand that Server must consider last received 
message(KA/any other) timestamp in to consideration 
before closing the connection. 
   Actually, my query is related to client side.
Whether COPS client also should behave in the same way 
as that of server? or Should Client need to send KA exactly
 between 1/4th and 3/4th time of KA minimum timer provided 
by server? i.e., Is KA message needs to be triggered 
independent of any message other than previous KA message time stamp?
Thanks again.
Krishna